[data-bs-theme="light"] {
    --bs-primary: #34271E;
    --bs-primary-light: #F4EFEC;
    --bs-primary-active: #6E533F;
    --bs-text-primary: var(--bs-primary);
    --bs-primary-rgb: 52, 39, 30;
    --bs-primary-rgb-active: 110, 83, 63;
    --bs-link-color-rgb: var(--bs-primary-rgb);
    --bs-link-hover-color-rgb: var(--bs-primary-rgb-active);
    --bs-app-sidebar-light-menu-link-bg-color-active: var(--bs-primary-light);

    --bs-menu-link-color-hover: var(--bs-primary);
    --bs-menu-link-color-active: var(--bs-primary);
    --bs-menu-link-color-show: var(--bs-primary);
    --bs-component-active-bg: var(--bs-primary);
    --bs-component-hover-color: var(--bs-primary);
    --bs-component-checked-bg: var(--bs-primary);
    --bs-fs-today-bg-color: #fff8e7;
    --bs-aside-bg-color: #fff;
    --bs-aside-text-color: #111;
}

.fc {
    --fc-bg-event-opacity: 0.3;
}

.daterangepicker .drp-calendar td.today.active.end-date {
    background-color: var(--bs-primary) !important;
    color: var(--bs-white) !important;
    border-radius: 0 0.475rem 0.475rem 0 !important;
}

.daterangepicker .drp-calendar td.available:hover:is(.off),
.daterangepicker .drp-calendar th.available:hover:is(.off) {
    background-color: var(--bs-body-bg) !important;
}

.daterangepicker .drp-calendar td.available.in-range:hover:not(.off, .start-date, .end-date) {
    background-color: var(--bs-primary-light) !important;
    color: var(--bs-primary) !important;
    border-radius: 0 0.475rem 0.475rem 0 !important;
}

.aside .aside-menu .menu .menu-item.here > .menu-link, .aside .aside-menu .menu .menu-item .menu-link.active {
    background-color: var(--bs-primary);
    color: var(--bs-body-bg) !important;
}

.aside .aside-menu .menu .menu-item .menu-link.active .menu-icon i,
.aside .aside-menu .menu .menu-item.here > .menu-link :is(.menu-icon i, .menu-title),
.aside .aside-menu .menu .menu-item .menu-link.active .menu-title {
    color: var(--bs-body-bg) !important;
}

.aside .aside-menu .menu .menu-item.here .menu-link .menu-arrow:after {
    background-color: var(--bs-body-bg);
}


@media (max-width: 920px) {
    .fc .fc-header-toolbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(3) {
        order: 2;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        order: 1;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        margin-bottom: 1rem;
    }
}

[data-bs-theme="dark"] {
    --bs-primary: #4b5e47;
    --bs-primary-light: #e8b0e7;
    --bs-primary-active: #566c51;
    --bs-text-primary: var(--bs-primary);
    --bs-primary-rgb: #66BE40;
    --bs-primary-rgb-active: #66BE40;
    --bs-link-color-rgb: var(--bs-primary-rgb);
    --bs-link-hover-color-rgb: var(--bs-primary-rgb-active);
    --bs-app-sidebar-light-menu-link-bg-color-active: #0f140f;

    --bs-menu-link-color-hover: var(--bs-primary);
    --bs-menu-link-color-active: var(--bs-primary);
    --bs-menu-link-color-show: var(--bs-primary);
    --bs-component-active-bg: var(--bs-primary);
    --bs-component-hover-color: var(--bs-primary);
    --bs-component-checked-bg: var(--bs-primary);
    --bs-fs-today-bg-color: #fef;
    --bs-aside-bg-color: var(--bs-primary);
}

.form-control.form-control-solid:focus, .form-select.form-select-solid:focus, .form-select.form-select-solid.select2-selection[aria-expanded="true"] {
    border-color: var(--bs-gray-300) !important;
}

.form-control.form-control-solid:disabled, .form-select.form-select-solid:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

/* Outros --> */
@media (max-width: 768px) {
    .fc .fc-col-header-cell {
        padding: 0.5rem 0;
    }
}

.fc-button-group {
    flex-wrap: wrap;
}

.fc .fc-col-header-cell .fc-col-header-cell-cushion {
    width: 100%;
    white-space: nowrap;
}

.btn-link:hover {
    color: var(--bs-primary);
}

.aside .aside-menu .menu .menu-item .menu-link .menu-title,
.aside .aside-menu .menu .menu-item .menu-link .menu-icon,
.aside .aside-menu .menu .menu-item .menu-link .menu-icon .svg-icon,
.aside .aside-menu .menu .menu-item .menu-link .menu-icon i {
    color: var(--bs-aside-text-color);
}

.aside .aside-menu .menu .menu-item.show > .menu-link,
.aside .aside-menu .menu .menu-item.show > .menu-link .menu-title,
.aside .aside-menu .menu .menu-item.show > .menu-link .menu-icon,
.aside .aside-menu .menu .menu-item.show > .menu-link .menu-icon .svg-icon,
.aside .aside-menu .menu .menu-item.show > .menu-link .menu-icon i,
.aside .aside-menu .menu .menu-item.here > .menu-link .menu-title,
.aside .aside-menu .menu .menu-item.here > .menu-link .menu-icon i,
.aside .aside-menu .menu .menu-item .menu-link.active .menu-title,
.aside .aside-menu .menu .menu-item.hover:not(.here) > .menu-link:not(.disabled):not(.active):not(.here) .menu-title,
.aside .aside-menu .menu .menu-item:not(.here) .menu-link:hover:not(.disabled):not(.active):not(.here) .menu-title {
    color: var(--bs-aside-text-color);
}

.aside .aside-menu .menu .menu-item.show > .menu-link .menu-bullet .bullet {
    background-color: #fff;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    width: 100% !important;
    white-space: nowrap !important;
}

/*.fc-event-main {*/
/*    pointer-events: none;*/
/*}*/

@media (min-width: 992px) {
    .fc .fc-header-toolbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(3) {
        order: 2;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        order: 1;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        margin-bottom: 1rem;
    }
}

@media (min-width: 1300px) {
    .fc .fc-header-toolbar {
        flex-direction: row;
        align-items: center;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(3) {
        order: initial;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        order: initial;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1),
    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        margin-bottom: 1rem;
    }
}

.aside .aside-menu .menu .menu-item .menu-link.active .menu-bullet .bullet {
    background-color: #fff;
}

.fc {
    --fc-today-bg-color: var(--bs-fs-today-bg-color);
}

.link-primary:focus,
.link-primary:hover {
    color: rgba(
        var(--bs-primary-rgb-active),
        var(--bs-link-opacity, 1)
    ) !important;
    text-decoration-color: rgba(
        var(--bs-primary-rgb-active),
        var(--bs-link-underline-opacity, 1)
    ) !important;
}

.form-check-input:checked {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

table.dataTable.dtr-column.collapsed > tbody > tr.parent > td.dtr-control:before,
table.dataTable.dtr-column.collapsed > tbody > tr.parent > th.dtr-control:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td.dtr-control:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th.dtr-control:before {
    background-color: var(--bs-primary);
}

/*.select2-container--bootstrap5 .select2-selection--single .select2-selection__rendered {
    overflow: visible;
}*/

.aside .aside-menu .menu > .menu-item.menu-accordion.show > .menu-link > .menu-icon .svg-icon,
.aside .aside-menu .menu > .menu-item.menu-accordion.show > .menu-link > .menu-icon i,
.aside .aside-menu .menu > .menu-item.menu-accordion.showing > .menu-link > .menu-icon .svg-icon,
.aside .aside-menu .menu > .menu-item.menu-accordion.showing > .menu-link > .menu-icon i {
    transform: none !important;
}

@media (min-width: 992px) {
    .aside {
        top: 200px;
    }

    div#aside-menu-wrapper {
        height: calc(100vh - 300px) !important;
        overflow: auto;
    }
}

.aside .aside-menu {
    display: flex;
    align-items: flex-start;
    width: 100%;
}
